org.modeshape.jcr.query.parse

## Class InvalidQueryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.jcr.query.parse.InvalidQueryException

- All Implemented Interfaces:
    Serializable

      public class InvalidQueryException
      extends RuntimeException

  An exception signalling that a query is invalid (but typically well-formed)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidQueryException(String query)` Create an exception with the invalid query.
    `InvalidQueryException(String query, String message)` Create an exception with the invalid query and a message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getQuery()` Get the query that is invalid.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidQueryException

          public InvalidQueryException(String query)

      Create an exception with the invalid query.
      Parameters:
        `query` - the query that is invalid

    - #### InvalidQueryException

          public InvalidQueryException(String query,
                               String message)

      Create an exception with the invalid query and a message.
      Parameters:
        `query` - the query that is invalid
        `message` -

  - ### Method Detail

    - #### getQuery

          public String getQuery()

      Get the query that is invalid.
      Returns:
        the query; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.